Package Details: microchip-mplabx-bin 5.25-1

Git Clone URL: https://aur.archlinux.org/microchip-mplabx-bin.git (read-only)
Package Base: microchip-mplabx-bin
Description: IDE for Microchip PIC and dsPIC development
Upstream URL: http://www.microchip.com/mplabx
Licenses: custom
Conflicts: mplab
Provides: mplab
Submitter: bxs
Maintainer: mickael9 (danwood76)
Last Packager: danwood76
Votes: 52
Popularity: 0.499949
First Submitted: 2011-12-17 04:28
Last Updated: 2019-08-15 08:33

Required by (0)

Sources (3)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 9 10 11 ... Next › Last »

ricardomv commented on 2015-08-21 22:31

line #86 should be changed to `/usr` instead of `/usr/local`

b1tl0rd commented on 2015-08-08 17:34

@mickael9 thanks for PKGBUILD

mickael9 commented on 2015-07-31 14:43

Here is a PKGBUILD : http://ix.io/k1K and corresponding microchip-mplabx-bin.install : http://ix.io/k1L

danfly09 commented on 2015-07-31 14:17

As Mickael9, I vote to remove the hard dependecy to openjdk... it should be hard but optional between oracle jdk and openjdk

mickael9 commented on 2015-07-18 19:29

I've made quite a few improvements to this PKGBUILD, here is the diff if you're interested. Also note that it removes the hard dependency on openjdk.

Diff : http://ix.io/jOq

danwood76 commented on 2015-07-15 12:11

@ivanop

I have had a bit of a play with this version of mplabx and the PKGBUILD needs a few fixes to get the USB programmers and IPE working again.

The IPE line I have added is more dynamic than before so hopefully it should survive across future versions.

The MPLABCOMM installer requires the find utility now (for some daft reason) and the paths have changed once again. It looks like microchip have chosen a standard directory layout, hopefully they stick to it.

The mplabx installer also runs the MPLABCOMM installer (to its own specific install path), so there is no need to run it twice (saves around 5MB in the package) so I commented the initial run of that out.

Heres a diff of my PKGBUILD (I have added the .desktop file fixes again too):

diff -ur microchip-mplabx-bin.orig/PKGBUILD microchip-mplabx-bin/PKGBUILD
--- microchip-mplabx-bin.orig/PKGBUILD 2015-07-09 06:15:01.000000000 +0100
+++ microchip-mplabx-bin/PKGBUILD 2015-07-15 13:01:34.404144206 +0100
@@ -42,6 +42,7 @@

ln -s /bin/bash $pkgdir/bin/
ln -s /bin/sh $pkgdir/bin/
+ ln -s /bin/find $pkgdir/bin/

echo "root:x:0:0:root:/root:/bin/bash" > $pkgdir/etc/passwd
echo "root:x:0:root" > $pkgdir/etc/group
@@ -63,7 +64,7 @@

echo "#!/bin/bash
LD_LIBRARY_PATH=$srcdir/usr/lib/libfakeroot/fakechroot:\$LD_LIBRARY_PATH
- ./$installer2 --mode text --installdir /opt/microchip/mplabcomm1.0 < inst_input2 &> /dev/null || true
+# ./$installer2 --mode text --installdir /opt/microchip/mplabcomm1.0 < inst_input2 &> /dev/null || true
./$installer --mode text < inst_input &> /dev/null || true"> $pkgdir/chroot_input.sh
# ./$installer --mode text < inst_input || true"> $pkgdir/chroot_input.sh
chmod 0755 $pkgdir/chroot_input.sh
@@ -75,17 +76,20 @@

sed -i 's|#jdkhome="/path/to/jdk"|jdkhome=/usr/lib/jvm/java-7-openjdk/|g' $pkgdir$instdir/v$pkgver/mplab_ide/etc/mplab_ide.conf
sed -i 's|#jdkhome="/path/to/jdk"|jdkhome=/usr/lib/jvm/java-7-openjdk/|g' $pkgdir$instdir/v$pkgver/mplab_ipe/mplab_ipe
- sed -i 's|\"$jdkhome\"bin/java -jar \"$jdkhome\"/../../../mplab_ipe/ipe.jar|\"$jdkhome\"bin/java -jar /opt/microchip/mplabx/mplab_ipe/ipe.jar|g' $pkgdir$instdir/v$pkgver/mplab_ipe/mplab_ipe
+ sed -i 's|\"$jdkhome\"bin/java -jar \"$jdkhome\"/../../../mplab_ipe/ipe.jar|\"$jdkhome\"bin/java -jar '$instdir'/v'$pkgver'/mplab_ipe/ipe.jar|g' $pkgdir$instdir/v$pkgver/mplab_ipe/mplab_ipe

rm $pkgdir/{chroot_input.sh,inst_input,$installer,etc/{group,passwd}}
rm -r $pkgdir/{bin,tmp}

ln -s $instdir/v$pkgver/mplab_ide/bin/mplab_ide $pkgdir/usr/bin/mplab_ide
ln -s $instdir/v$pkgver/mplab_ipe/mplab_ipe $pkgdir/usr/bin/mplab_ipe
- ln -s $instdir/../mplabcomm1_0_0/libmchpusb-1.0.so.0.0.0 $pkgdir/usr/local/lib/libmchpusb-1.0.so
- ln -s $instdir/../mplabcomm1_0_0/mchplinusbdevice $pkgdir/etc/.mplab_ide
- ln -s $instdir/../mplabcomm1_0_0/libUSBAccessLink.so $pkgdir/usr/lib/libUSBAccessLink.so
- ln -s $instdir/../mplabcomm1_0_0/libSerialAccessLink.so $pkgdir/usr/lib/libSerialAccessLink.so
+ ln -s $instdir/../mplabcomm/v$pkgver/lib/libmchpusb-1.0.so.0.0.0 $pkgdir/usr/local/lib/libmchpusb-1.0.so
+ ln -s $instdir/../mplabcomm/v$pkgver/lib/mchplinusbdevice $pkgdir/etc/.mplab_ide
+ ln -s $instdir/../mplabcomm/v$pkgver/lib/libUSBAccessLink.so $pkgdir/usr/lib/libUSBAccessLink.so
+ ln -s $instdir/../mplabcomm/v$pkgver/lib/libSerialAccessLink.so $pkgdir/usr/lib/libSerialAccessLink.so
+
+ echo "StartupWMClass=MPLAB X IDE v$pkgver" >> $pkgdir/usr/share/applications/mplab.desktop
+ echo 'StartupWMClass=com-microchip-ipe-ui-ProdProgrammerApp' >> $pkgdir/usr/share/applications/mplab_ipe.desktop

rm -f $pkgdir$instdir/Uninstall*

ivanovp commented on 2015-07-09 05:14

@mawe: Thanks for correction. Fixed.

mawe commented on 2015-07-06 09:26

The additional x86_64 depends are missing now. mksrcinfo does not handle this shell code and spits a warning. You should use architecture-specific arrays, see the adaption in my package, which is originally based on yours: https://aur4.archlinux.org/cgit/aur.git/commit/?h=microchip-libraries-for-applications&id=bdb50800cc1dd547abf847cc1173811392c86e28

ivanovp commented on 2015-07-03 17:23

@mawe: Thanks.

mawe commented on 2015-07-03 15:58

You did not update the .SRCINFO file.